Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class Operator.NoBlockingAction

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator.NoBlockingAction

All Implemented Interfaces:
  Action

Enclosing class:
  Operator

protected abstract class Operator.NoBlockingAction
extends java.lang.Object
implements Action

Can be used to make nonblocking operation implementation. Typical scenario is:
produceNoBlocking(new NoBlockingAction("Button pushing") {
public Object doAction(Object param) {
push();
return(null);
}
});

Constructor Summary
`Operator.NoBlockingAction(java.lang.String description)` Constructs a NoBlockingAction object.

Method Summary
`abstract java.lang.Object` | `doAction(java.lang.Object param)` Performs a mapping action.
`java.lang.String` | `getDescription()` Returns the description value.
`java.lang.Exception` | `getException()` Returns an exception occured diring the action execution.
`java.lang.Object` | `launch(java.lang.Object param)` Executes this action.
`protected void` | `setException(java.lang.Exception e)` Specifies the exception.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Operator.NoBlockingAction

    public Operator.NoBlockingAction(java.lang.String description)

  Constructs a NoBlockingAction object.
  Parameters:
    `description` - an action description.

Method Detail

### launch

    public final java.lang.Object launch(java.lang.Object param)

  Description copied from interface: `Action`
  Executes this action.
  Specified by:
    `launch` in interface `Action`
  Following copied from interface: `org.netbeans.jemmy.Action`
  Parameters:
    `obj` - action argument. This argument might be the method parameter in an invocation of `ActionProducer.produceAction(Object)`. This argument might be a `java.lang.String[]` that lists the command line arguments used to execute a test (or not).
  Returns:
    action result.

### doAction

    public abstract java.lang.Object doAction(java.lang.Object param)

  Performs a mapping action.
  Parameters:
    `param` - an action parameter.
  Returns:
    an action result.

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `Action`
  Returns the description value.
  Specified by:
    `getDescription` in interface `Action`
  Following copied from interface: `org.netbeans.jemmy.Action`
  Returns:
    Action description.

### setException

    protected void setException(java.lang.Exception e)

  Specifies the exception.
  Parameters:
    `e` - an exception.
  See Also:
    `getException()`

### getException

    public java.lang.Exception getException()

  Returns an exception occured diring the action execution.
  Returns:
    an exception.
  See Also:
    `setException(java.lang.Exception)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD